cURL
curl --request POST 'https://api.brightalk.ai/automation-runs/run_demo_001/cancel' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--data '{}'const response = await fetch("https://api.brightalk.ai/automation-runs/run_demo_001/cancel", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/automation-runs/run_demo_001/cancel",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
json={},
)
print(response.status_code, response.json()){
"id": "run_demo_001",
"status": "queued",
"automation_id": "atm_demo_001",
"contact_id": "con_demo_001",
"input": {},
"queued_at": "2026-07-20T01:00:00Z",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z",
"failure_code": "step_failed",
"started_at": "2026-07-20T01:00:00Z",
"completed_at": "2026-07-20T01:00:00Z",
"cancelled_at": "2026-07-20T01:00:00Z"
}自動化執行
取消自動化執行
防止已加入佇列的工作開始,或在步驟之間將尚未終止的執行標記為 cancelled。選用的 Idempotency-Key 可讓結果重播;原始 JSON 主體上限為 1 MiB。每個回應都包含 Brightalk-Version 與 X-Request-Id;受到速率限制的回應還會提供實際套用之配額群組的計數器。
POST
/
automation-runs
/
{run_id}
/
cancel
cURL
curl --request POST 'https://api.brightalk.ai/automation-runs/run_demo_001/cancel' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--data '{}'const response = await fetch("https://api.brightalk.ai/automation-runs/run_demo_001/cancel", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/automation-runs/run_demo_001/cancel",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
json={},
)
print(response.status_code, response.json()){
"id": "run_demo_001",
"status": "queued",
"automation_id": "atm_demo_001",
"contact_id": "con_demo_001",
"input": {},
"queued_at": "2026-07-20T01:00:00Z",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z",
"failure_code": "step_failed",
"started_at": "2026-07-20T01:00:00Z",
"completed_at": "2026-07-20T01:00:00Z",
"cancelled_at": "2026-07-20T01:00:00Z"
}標頭
主體
application/json
JSON request body. The raw encoded body is limited to 1 MiB and unknown fields are rejected.
The body is of type object.
回應
已傳回目前的自動化執行。